export declare const MajorKeyPropertySchema: import("@sinclair/typebox").TString;
export declare const RowsPerPagePropertySchema: import("@sinclair/typebox").TNumber;
export declare const DataPropertySchema: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TAny>;
export declare const TableSizePropertySchema: import("@sinclair/typebox").TKeyOf<("md" | "sm" | "lg")[]>;
export declare const TdTypeSchema: import("@sinclair/typebox").TKeyOf<("link" | "button" | "image" | "text" | "module")[]>;
export declare const ColumnSchema: import("@sinclair/typebox").TObject<{
    key: import("@sinclair/typebox").TString;
    title: import("@sinclair/typebox").TString;
    displayValue: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    type: import("@sinclair/typebox").TKeyOf<("link" | "button" | "image" | "text" | "module")[]>;
    buttonConfig: import("@sinclair/typebox").TObject<{
        text: import("@sinclair/typebox").TString;
        handlers: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            type: import("@sinclair/typebox").TString;
            componentId: import("@sinclair/typebox").TString;
            method: import("@sinclair/typebox").TObject<{
                name: import("@sinclair/typebox").TString;
                parameters: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TString>;
            }>;
            wait: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
                type: import("@sinclair/typebox").TKeyOf<("debounce" | "throttle" | "delay")[]>;
                time: import("@sinclair/typebox").TNumber;
            }>>;
            disabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        }>>;
    }>;
    module: import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        type: import("@sinclair/typebox").TString;
        properties: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
        handlers: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            type: import("@sinclair/typebox").TString;
            componentId: import("@sinclair/typebox").TString;
            method: import("@sinclair/typebox").TObject<{
                name: import("@sinclair/typebox").TString;
                parameters: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TString>;
            }>;
            wait: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
                type: import("@sinclair/typebox").TKeyOf<("debounce" | "throttle" | "delay")[]>;
                time: import("@sinclair/typebox").TNumber;
            }>>;
            disabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        }>>;
    }>;
}>;
export declare const ColumnsPropertySchema: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
    key: import("@sinclair/typebox").TString;
    title: import("@sinclair/typebox").TString;
    displayValue: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    type: import("@sinclair/typebox").TKeyOf<("link" | "button" | "image" | "text" | "module")[]>;
    buttonConfig: import("@sinclair/typebox").TObject<{
        text: import("@sinclair/typebox").TString;
        handlers: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            type: import("@sinclair/typebox").TString;
            componentId: import("@sinclair/typebox").TString;
            method: import("@sinclair/typebox").TObject<{
                name: import("@sinclair/typebox").TString;
                parameters: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TString>;
            }>;
            wait: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
                type: import("@sinclair/typebox").TKeyOf<("debounce" | "throttle" | "delay")[]>;
                time: import("@sinclair/typebox").TNumber;
            }>>;
            disabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        }>>;
    }>;
    module: import("@sinclair/typebox").TObject<{
        id: import("@sinclair/typebox").TString;
        type: import("@sinclair/typebox").TString;
        properties: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
        handlers: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{
            type: import("@sinclair/typebox").TString;
            componentId: import("@sinclair/typebox").TString;
            method: import("@sinclair/typebox").TObject<{
                name: import("@sinclair/typebox").TString;
                parameters: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TString>;
            }>;
            wait: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
                type: import("@sinclair/typebox").TKeyOf<("debounce" | "throttle" | "delay")[]>;
                time: import("@sinclair/typebox").TNumber;
            }>>;
            disabled: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TBoolean>;
        }>>;
    }>;
}>>;
export declare const IsMultiSelectPropertySchema: import("@sinclair/typebox").TBoolean;
export declare const TableStateSchema: import("@sinclair/typebox").TObject<{
    selectedItem: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{}>>;
    selectedItems: import("@sinclair/typebox").TArray<import("@sinclair/typebox").TObject<{}>>;
}>;
